Package tigase.db.util

# Class SchemaManager.DataSourceInfo

java.lang.Object
tigase.db.util.SchemaManager.DataSourceInfo

All Implemented Interfaces:
  `DataSource`, `Repository`

Enclosing class:
  SchemaManager

public static class SchemaManager.DataSourceInfo extends Object implements DataSource

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface tigase.db.Repository

  `Repository.Meta, Repository.SchemaId`

- ## Field Summary

  ### Fields inherited from interface tigase.db.DataSource

  `log`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `automaticSchemaManagement()`
  `String`
  `getName()`
  `String`
  `getResourceUri()`
  Returns a DB connection string or DB connection URI.
  `Optional<Version>`
  `getSchemaVersion(String component)`
  Method obtains version of the schema for particular component stored in the database.
  `void`
  `initialize(String connStr)`
  The method is called to initialize the data repository.
  `void`
  `initRepository(String resource_uri, Map<String,String> params)`
  Deprecated.
  `protected void`
  `setAutomaticSchemaManagement(boolean value)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface tigase.db.DataSource

  `checkConnectivity, checkSchemaVersion`

- ## Method Details

  - ### getName

    public String getName()

  - ### getSchemaVersion

    public Optional<Version> getSchemaVersion(String component)
    Description copied from interface: `DataSource`
    Method obtains version of the schema for particular component stored in the database.
    Specified by:
      `getSchemaVersion` in interface `DataSource`
    Parameters:
      `component` - name of the component for which we want to get the schema version
    Returns:
      an optional value of the version.

  - ### getResourceUri

    public String getResourceUri()
    Description copied from interface: `DataSource`
    Returns a DB connection string or DB connection URI.
    Specified by:
      `getResourceUri` in interface `DataSource`
    Returns:
      a `String` value representing database connection string.

  - ### initialize

    public void initialize(String connStr) throws RepositoryException
    Description copied from interface: `DataSource`
    The method is called to initialize the data repository.
    Specified by:
      `initialize` in interface `DataSource`
    Parameters:
      `connStr` - value in most cases representing the database connection string.
    Throws:
      `RepositoryException` - if there was an error during initialization of data source. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying data source it may not be signaled through this method call.

  - ### initRepository

    @Deprecated public void initRepository(String resource_uri, Map<String,String> params) throws DBInitException
    Deprecated.
    Description copied from interface: `Repository`
    Method is deprecated and should not be user any more.
    The method is called to initialize the data repository. Depending on the implementation all the initialization parameters can be passed either via `resource_uri` parameter as the database connection string or via `params` map if the required repository parameters are more complex or both.
    Specified by:
      `initRepository` in interface `Repository`
    Parameters:
      `resource_uri` - value in most cases representing the database connection string.
      `params` - is a `Map` with repository properties necessary to initialize and perform all the functions. The initialization parameters are implementation dependent.
    Throws:
      `DBInitException` - if there was an error during repository initialization. Some implementations, though, perform so called lazy initialization so even though there is a problem with the underlying repository it may not be signaled through this method call.

  - ### automaticSchemaManagement

    public boolean automaticSchemaManagement()
    Specified by:
      `automaticSchemaManagement` in interface `DataSource`

  - ### setAutomaticSchemaManagement

    protected void setAutomaticSchemaManagement(boolean value)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`